Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.bridge
Interface SWRLRule

All Known Implementing Classes:
  SWRLRuleImpl

    public interface SWRLRule

Interface representing a SWRL rule

Method Summary
`void` | `appendAtomsToBody(List<Atom> atom)`
`List<Atom>` | `getBodyAtoms()`
`List<BuiltInAtom>` | `getBuiltInAtomsFromBody()`
`List<BuiltInAtom>` | `getBuiltInAtomsFromBody(Set<String> builtInNames)`
`List<BuiltInAtom>` | `getBuiltInAtomsFromHead()`
`List<BuiltInAtom>` | `getBuiltInAtomsFromHead(Set<String> builtInNames)`
`List<Atom>` | `getHeadAtoms()`
`String` | `getRuleName()`
`List<Atom>` | `getSQWRLPhase1BodyAtoms()`
`List<Atom>` | `getSQWRLPhase2BodyAtoms()`
`ResultImpl` | `getSQWRLResult()`
`boolean` | `isSQWRL()`
`boolean` | `usesSQWRLCollections()`

Method Detail

### getRuleName

    String getRuleName()

### getHeadAtoms

    List<Atom> getHeadAtoms()

### getBodyAtoms

    List<Atom> getBodyAtoms()

### getBuiltInAtomsFromHead

    List<BuiltInAtom> getBuiltInAtomsFromHead()

### getBuiltInAtomsFromHead

    List<BuiltInAtom> getBuiltInAtomsFromHead(Set<String> builtInNames)

### getBuiltInAtomsFromBody

    List<BuiltInAtom> getBuiltInAtomsFromBody()

### getBuiltInAtomsFromBody

    List<BuiltInAtom> getBuiltInAtomsFromBody(Set<String> builtInNames)

### appendAtomsToBody

    void appendAtomsToBody(List<Atom> atom)

### isSQWRL

    boolean isSQWRL()

### usesSQWRLCollections

    boolean usesSQWRLCollections()

### getSQWRLResult

    ResultImpl getSQWRLResult()

### getSQWRLPhase1BodyAtoms

    List<Atom> getSQWRLPhase1BodyAtoms()

### getSQWRLPhase2BodyAtoms

    List<Atom> getSQWRLPhase2BodyAtoms()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.